
Redmine - Defect #3903

Error loading default data "permissions was supposed to be a Array, but was a String"

2009-09-22 18:25 - Luca Pireddu

Status: Closed Start date: 2009-09-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

When installing Redmine trunk, I run 

rake redmine:load_default_data RAILS_ENV="production"

 with the result

Error: permissions was supposed to be a Array, but was a String

 I also tried with the stable branch, but I still got an error where "but was a String" instead said "but was a FalseClass"

 ./script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.4

Active Record version     2.3.4

Active Resource version   2.3.4

Action Mailer version     2.3.4

Active Support version    2.3.4

Application root          /home/user/Projects/redmine_stuff/trunk

Environment               development

Database adapter          sqlite3

Database schema version   20090704172358

History

#1 - 2009-10-10 14:17 - Jean-Philippe Lang

I can't reproduce with trunk@r2907 and a sqlite3 database.

#2 - 2009-11-11 17:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback

#3 - 2010-05-14 00:32 - minkbear minkbear

I have the same problem and try to solve it. so I met strange texts format in Roles.Permission table below:

--- 

- :view_issues

- :view_gantt

- :view_calendar

- :view_time_entries

- :view_documents

- :view_wiki_pages

- 

:view_wiki_edits

- :view_files

- :browse_repository

- :view_changesets

 if I change to:
--- 

- :view_issues

- :view_gantt

- :view_calendar

- :view_time_entries

- :view_documents

- :view_wiki_pages

- :view_wiki_edits

- :view_files

- :browse_repository

- :view_changesets

 The error say "Error: permissions was supposed to be a Array, but was a String". My redmine got back to work fine again no error any more.

So I inform your team to be FYI.

Powered by TCPDF (www.tcpdf.org)

2025-05-03 2/2

http://www.tcpdf.org

